/* splash.h - Splash screen for grpahical boot
 *
 * Copyright (C) 2003 Jonathan Blandford <jrb@redhat.com>
 * All rights reserved.
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This file is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this; see the file COPYING.  If not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef __SPLASH_H__
#define __SPLASH_H__

#include <gtk/gtk.h>

#define N_FRAMES 12

typedef struct _Splash Splash;
struct _Splash
{
  GtkWidget *window;
  GtkWidget *notebook;

  /* < private > */
  GtkWidget *simple_progress;
  GtkWidget *simple_label;
  GtkWidget *simple_throbber;
  GtkWidget *details_progress;
  GtkWidget *details_throbber;
  GtkWidget *details_label;
  GtkWidget *details_terminal;
  GtkWidget *fedora_logo;
  gint n_throbber_steps;
  gint throbber_step;
  guint throbber_timeout;
  GdkPixbuf **throbber_pixbuf;
  gboolean clean_label;
  guint label_timeout;
  gint fade_step;
  gchar *label_text;
};

Splash *splash_new (void);
void    splash_set_label    (Splash  *splash,
			     gchar   *label);
void    splash_set_progress (Splash  *splash,
			     gdouble fraction);
void    splash_pulse        (Splash  *splash);
void    splash_hide_screen  (Splash  *splash);
void    splash_show_details (Splash  *splash);
void    splash_hide_details (Splash  *splash);
#endif /* __SPLASH_H__ */
